Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.utils.action
Class VersionActionCondition

    java.lang.Object
      oracle.ifs.utils.action.AbstractActionCondition
          oracle.ifs.utils.action.VersionActionCondition

All Implemented Interfaces:
  ActionCondition

    public class VersionActionCondition

extends AbstractActionCondition

An ActionCondition type that operates on doubles. The left and right operands are first parsed as doubles before one of the valid operations are executed on them. Valid operations and their semantics are defined as static member variables of the class. Those operations are:

- EQUAL
- NOT_EQUAL
- GREATER_THAN
- LESS_THAN
- GREATER_THAN_EQUAL
- LESS_THAN_EQUAL

Field Summary
`static java.lang.String` | `EQUAL` Returns true if the left and right operands are equal
`static java.lang.String` | `GREATER_THAN` Returns true if the left operand is greater than the right operand
`static java.lang.String` | `GREATER_THAN_EQUAL` Returns true if the left operand is greater than or equal to the right operand
`static java.lang.String` | `LESS_THAN` Returns true if the left operand is less than the right operand
`static java.lang.String` | `LESS_THAN_EQUAL` Returns true if the left operand is less than or equal to the right operand
`static java.lang.String` | `NOT_EQUAL` Returns true if the left and right operands are not equal

Fields inherited from class oracle.ifs.utils.action.AbstractActionCondition
`m_LeftOperand, m_Operation, m_RightOperand`

Constructor Summary
`VersionActionCondition()` Creates a NumberActionException that compares two double operands and registers the valid operations that can be performed on the operands.

Method Summary
`boolean` | `evaluate()` Parses the left and right operands as doubles, if possible, and returns true if (left_operand operation right_operand) is successful.

Methods inherited from class oracle.ifs.utils.action.AbstractActionCondition
`addOperation, getLeftOperand, getOperation, getRightOperand, setLeftOperand, setOperation, setRightOperand`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EQUAL

    public static final java.lang.String EQUAL

  Description copied from class: `VersionActionCondition`
  Returns true if the left and right operands are equal

  See Also:
    Constant Field Values

### NOT_EQUAL

    public static final java.lang.String NOT_EQUAL

  Description copied from class: `VersionActionCondition`
  Returns true if the left and right operands are not equal

  See Also:
    Constant Field Values

### GREATER_THAN

    public static final java.lang.String GREATER_THAN

  Description copied from class: `VersionActionCondition`
  Returns true if the left operand is greater than the right operand

  See Also:
    Constant Field Values

### LESS_THAN

    public static final java.lang.String LESS_THAN

  Description copied from class: `VersionActionCondition`
  Returns true if the left operand is less than the right operand

  See Also:
    Constant Field Values

### GREATER_THAN_EQUAL

    public static final java.lang.String GREATER_THAN_EQUAL

  Description copied from class: `VersionActionCondition`
  Returns true if the left operand is greater than or equal to the right operand

  See Also:
    Constant Field Values

### LESS_THAN_EQUAL

    public static final java.lang.String LESS_THAN_EQUAL

  Description copied from class: `VersionActionCondition`
  Returns true if the left operand is less than or equal to the right operand

  See Also:
    Constant Field Values

Constructor Detail

### VersionActionCondition

    public VersionActionCondition()

  Creates a NumberActionException that compares two double operands and registers the valid operations that can be performed on the operands. Initializes the default operation to EQUAL and the left and right operands to zero.

Method Detail

### evaluate

    public boolean evaluate()

  Description copied from class: `VersionActionCondition`
  Parses the left and right operands as doubles, if possible, and returns true if (left_operand operation right_operand) is successful. Valid operations are defined as static final members of the class. The semantics of success for each operation are documented with the corrosponding member variable declarations.

  Returns:
    true if (left_operand operation right_operand) is successful.
  Throws:
    `java.lang.NumberFormatException` - If the left or right operands cannot be be parsed as doubles.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD